package com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.vendabilheteidoso;

public enum ETipoPeriodoRelatorioPosicaoVendaBilheteIdoso {

	VENDA(0, "Venda"), VIAGEM(1, "Viagem");
	
	private Integer id;
	private String nome;
	
	private ETipoPeriodoRelatorioPosicaoVendaBilheteIdoso(Integer id, String nome) {
		this.id = id;
		this.nome = nome;
	}

	public Integer getId() {
		return id;
	}
	
	public String getNome() {
		return nome;
	}
	
	public static ETipoPeriodoRelatorioPosicaoVendaBilheteIdoso getEnumById(Integer id) {
		for (ETipoPeriodoRelatorioPosicaoVendaBilheteIdoso itemEnum : ETipoPeriodoRelatorioPosicaoVendaBilheteIdoso.values()) {
			if (itemEnum.getId() == id) {
				return itemEnum;
			}
		}
		throw new IllegalArgumentException("Id não encontrado.");
	}
}
